GDAL-RASTER(1)

NAME
gdal-raster - Entry point for raster commands

Added in version 3.11.

SYNOPSIS

    Usage: gdal raster <SUBCOMMAND> [OPTIONS]
    where <SUBCOMMAND> is one of:
      - aspect:       Generate an aspect map
      - calc:         Perform raster algebra
      - clean-collar: Clean the collar of a raster dataset, removing noise.
      - clip:         Clip a raster dataset.
      - color-map:    Generate a RGB or RGBA dataset from a single band, using a color map
      - contour:      Creates a vector contour from a raster elevation model (DEM).
      - convert:      Convert a raster dataset.
      - create:       Create a new raster dataset.
      - edit:         Edit a raster dataset.
      - fill-nodata:  Fill nodata raster regions by interpolation from edges.
      - footprint:    Compute the footprint of a raster dataset.
      - hillshade:    Generate a shaded relief map
      - index:        Create a vector index of raster datasets.
      - info:         Return information on a raster dataset.
      - mosaic:       Build a mosaic, either virtual (VRT) or materialized.
      - overview:     Manage overviews of a raster dataset.
      - pipeline:     Process a raster dataset.
      - pixel-info:   Return information on a pixel of a raster dataset.
      - polygonize:   Create a polygon feature dataset from a raster band.
      - reclassify:   Reclassify values in a raster dataset
      - reproject:    Reproject a raster dataset.
      - resize:       Resize a raster dataset without changing the georeferenced extents.
      - roughness:    Generate a roughness map
      - scale:        Scale the values of the bands of a raster dataset.
      - select:       Select a subset of bands from a raster dataset.
      - set-type:     Modify the data type of bands of a raster dataset.
      - sieve:        Remove small polygons from a raster dataset.
      - slope:        Generate a slope map
      - stack:        Combine together input bands into a multi-band output, either virtual (VRT) or materialized.
      - tile:         Generate tiles in separate files from a raster dataset.
      - tpi:          Generate a Topographic Position Index (TPI) map
      - tri:          Generate a Terrain Ruggedness Index (TRI) map
      - unscale:      Convert scaled values of a raster dataset into unscaled values.
      - viewshed:     Compute the viewshed of a raster dataset.
    Common Options:
      -h, --help              Display help message and exit
      --json-usage            Display usage as JSON document and exit
      --config <KEY>=<VALUE>  Configuration option [may be repeated]
    Options:
      --drivers               Display raster driver list as JSON document

AVAILABLE SUB-COMMANDS

•   gdal raster info

•   gdal raster aspect

•   gdal raster calc

•   gdal raster clean-collar

•   gdal raster clip

•   gdal raster color-map

•   gdal raster convert

•   gdal raster create

•   gdal raster footprint

•   gdal raster fill-nodata

•   gdal raster hillshade

•   gdal raster index

•   gdal raster mosaic

•   gdal raster overview

•   gdal raster pipeline

•   gdal raster pixel-info

•   gdal raster polygonize

•   gdal raster reproject

•   gdal raster resize

•   gdal raster roughness

•   gdal raster scale

•   gdal raster select

•   gdal raster sieve

•   gdal raster slope

•   gdal raster stack

•   gdal raster tile

•   gdal raster tpi

•   gdal raster tri

•   gdal raster unscale

•   gdal raster viewshed

EXAMPLES

  Example 1: Getting information on the file utm.tif (with JSON output)

    $ gdal raster info utm.tif

  Example 2: Converting file utm.tif to GeoPackage raster

    $ gdal raster convert utm.tif utm.gpkg

  Example 3: Getting the list of raster drivers (with JSON output)

    $ gdal raster --drivers

AUTHOR
Even Rouault <even.rouault@spatialys.com>

COPYRIGHT
1998-2025